import { Encoding } from './Encoding';
import { AST, ExpressionDSL, Dimension, DimensionEncoding, Method, Expr } from './AST';
export declare class EncodingSerializer {
    /**
     *
     * @param {AST} ast
     * @returns {Encoding}
     */
    static serialize(ast: AST): Encoding;
    static dimension(dimension: Dimension): DimensionEncoding;
    static expr(expr: Expr): string;
    static method(op: Method): string;
    static dsl(exprs: Expr[]): ExpressionDSL;
}
